Bug 902888 - Please allow user to specify defaults in esbToBpmVars
Summary: Please allow user to specify defaults in esbToBpmVars
Status: VERIFIED
Alias: None
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB   
(Show other bugs)
Version: 5.3.0 GA
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: CR1
: 5.3.1
Assignee: tcunning
QA Contact: Jiri Pechanec
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-22 16:02 UTC by Rick Wagner
Modified: 2019-02-15 13:32 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The product was no longer supporting default values in the mappings from ESB to jBPM variables. A configuration option has been added for supporting legacy default values.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-3902 Major Closed Restore esbToBpmVars as a command line option 2013-10-11 00:06:52 UTC

Description Rick Wagner 2013-01-22 16:02:00 UTC
Description of problem:

Customer noticed we no longer allow 'default' values in esbToBpmVars.  They are moving from SOA-P 4.x to 5.x and require this functionality.

Comment 1 JBoss JIRA Server 2013-02-12 21:51:24 UTC
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3902 to Resolved

Comment 2 JBoss JIRA Server 2013-02-12 21:51:38 UTC
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3902 to Closed

Comment 3 Jiri Pechanec 2013-02-15 09:38:40 UTC
SOA-P now log WARN for unitialized variable as mentioned in support case. Unfortuantely the behaviours is same regardless of

<properties name="bpm">
        <property name="org.jboss.soa.esb.legacy.bpmvars" value="true"/>
</properties>

setting. It means that it deviates from 5.3 behaviour and breaks backward compatibility.

I grepped the code for a call of Configuration.getLegacyEsbToBpmParams and there is none.

Comment 4 tcunning 2013-02-15 16:39:25 UTC
Talked to Jiri about this on Friday - the WARN is related to another issue which came out of the same case.      getLegacyEsbToBpmParams() is called within Configuration itself, and then stored in a KeyValuePair - which is checked.     I see the defaults added in the debugger when I set the property.

Comment 5 Jiri Pechanec 2013-02-18 06:42:00 UTC
Verified in CR1 - jbossesb-propertis switch works as advertised and the variable in question is stored in ReplyTo EPR


Note You need to log in before you can comment on or make changes to this bug.